import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import Current from './components/Views/Current.vue'
import { createMemoryHistory, createRouter } from 'vue-router'

const routes = [
  { path: '/', component: Current },
  { path: '/history', component: Current },
  { path: '/year', component: Current },
]

const router = createRouter({
  routes,
  history: createMemoryHistory(),
})

const pinia = createPinia()
const app = createApp(App)

app.use(pinia)
app.use(router)
app.mount('#app')
